package com.ventasZ.model;
// Generated 01-03-2020 09:20:46 AM by Hibernate Tools 4.3.1

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Detalle generated by hbm2java
 */
@Entity
@Table(name = "detalle",
         catalog = "ventas"
)
public class Detalle implements java.io.Serializable {

    private Integer numDetalle;
    private Factura factura;
    private Producto producto;
    private int cantidad;
    private double precio;

    public Detalle() {
    }

    public Detalle(Factura factura, Producto producto, int cantidad, double precio) {
        this.factura = factura;
        this.producto = producto;
        this.cantidad = cantidad;
        this.precio = precio;
    }

    @Id
    @GeneratedValue(strategy = IDENTITY)

    @Column(name = "num_detalle", unique = true, nullable = false)
    public Integer getNumDetalle() {
        return this.numDetalle;
    }

    public void setNumDetalle(Integer numDetalle) {
        this.numDetalle = numDetalle;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "id_factura", nullable = false)
    public Factura getFactura() {
        return this.factura;
    }

    public void setFactura(Factura factura) {
        this.factura = factura;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "id_producto", nullable = false)
    public Producto getProducto() {
        return this.producto;
    }

    public void setProducto(Producto producto) {
        this.producto = producto;
    }

    @Column(name = "cantidad", nullable = false)
    public int getCantidad() {
        return this.cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    @Column(name = "precio", nullable = false, precision = 5)
    public double getPrecio() {
        return this.precio;
    }

    public void setPrecio(double precio) {
        this.precio = precio;
    }

}
